## gnome-video-trimmer 25.03

=== meson_options.txt ===
option (
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default',
  description: 'The build profile. One of "default" or "development".'
)

## gnome-video-trimmer 0.8.2

=== debian/changelog ===
gnome-video-trimmer (0.8.2-2) unstable; urgency=medium

  * d/copyright: add missing paragraph for icon

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 09 Nov 2023 20:31:59 +0100

gnome-video-trimmer (0.8.2-1) unstable; urgency=medium

  * Initial Debian release (Closes: #1055288)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 06 Nov 2023 10:19:13 +0100

=== debian/control ===
Source: gnome-video-trimmer
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
Build-Depends:
 appstream,
 blueprint-compiler (>= 0.8.0),
 cargo,
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.4.0),
 libgtk-4-dev,
 librust-ashpd-0.6+gtk4-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glib-0.18+log-dev,
 librust-glib-0.18+log-macros-dev,
 librust-gtk4-0.7-dev,
 librust-json-0.12-dev,
 librust-libadwaita-0.5+v1-4-dev,
 librust-log-0.4-dev,
 librust-mime-guess-2-dev,
 librust-nom-7-dev,
 librust-once-cell-1-dev,
 meson,
 rustc,
Standards-Version: 4.6.2
Homepage: https://gitlab.gnome.org/YaLTeR/video-trimmer
Vcs-Browser: https://salsa.debian.org/gnome-team/video-trimmer
Vcs-Git: https://salsa.debian.org/gnome-team/video-trimmer.git
Rules-Requires-Root: no

Package: gnome-video-trimmer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg,
Description: Simple GUI application for lossless cutting of video files
 Video Trimmer is an easy-to-use graphical application for cutting video
 files. It does so without re-encoding the video, avoiding any loss of
 quality in the process.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(shell pwd)/debian/cargo_home
export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_HOST_RUST_TYPE

%:
	dh $@

execute_after_dh_auto_clean:
	$(CARGO) clean
	rm -rf $(CARGO_HOME)
	rm -rf $(CARGO_REGISTRY)

execute_before_dh_auto_configure:
	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
	rm -f Cargo.lock
	rm -f .cargo/config

=== debian/watch ===
version=4
https://gitlab.gnome.org/YaLTeR/video-trimmer/tags \
	.*/metronome@ANY_VERSION@@ARCHIVE_EXT@

## gnome-video-trimmer 0.9.0

=== debian/changelog ===
gnome-video-trimmer (0.9.0-3) unstable; urgency=medium

  * d/patches, d/control: Build with asphd 0.11
  * Bump S-V to 4.7.2; no changes needed

 -- Matthias Geiger <werdahias@debian.org>  Mon, 03 Mar 2025 19:46:48 +0100

gnome-video-trimmer (0.9.0-2) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * d/rules: use the cargo wrapper and disable LTO on 32-bits architectures
  * d/salsa-ci: disable reprotest

  [ Matthias Geiger ]
  * d/p/relax-deps: Build with ashpd 0.10
  * d/control: Update build-dependencies with debcargo

 -- Matthias Geiger <werdahias@debian.org>  Mon, 17 Feb 2025 13:02:50 +0100

gnome-video-trimmer (0.9.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove patches applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 18:36:46 -0400

gnome-video-trimmer (0.8.2-3) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Mark appstream as only needed for dh_auto_test
  * Mention GNOME Circle in package description
  * Update debian/gbp.conf for team style

  [ Arnaud Ferraris ]
  * d/watch: fix after GitLab changes
  * d/patches: backport upstream commits for newer gtk-rs (Closes: #1071874)
  * d/control: bump build dependencies.
    Upstream requires new versions of gtk4 and libadwaita, let's enforce
    that.
  * d/patches: fix race condition in build system

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 23 Sep 2024 13:03:07 +0200

=== debian/control ===
Source: gnome-video-trimmer
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
Build-Depends:
 appstream <!nocheck>,
 blueprint-compiler (>= 0.8.0),
 debhelper-compat (= 13),
 desktop-file-utils,
 libadwaita-1-dev (>= 1.6.0),
 libgtk-4-dev (>= 4.16.0),
 meson,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-ashpd-0.11+default-dev,
 librust-ashpd-0.11+gtk4-dev,
 librust-futures-channel-0.3+default-dev (>= 0.3.30-~~),
 librust-futures-util-0.3+default-dev (>= 0.3.30-~~),
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glib-0.20+default-dev,
 librust-glib-0.20+log-dev,
 librust-glib-0.20+log-macros-dev,
 librust-gtk4-0.9+default-dev,
 librust-gtk4-0.9+v4-16-dev,
 librust-json-0.12+default-dev (>= 0.12.4-~~),
 librust-libadwaita-0.7+default-dev,
 librust-libadwaita-0.7+v1-6-dev,
 librust-log-0.4+default-dev (>= 0.4.22-~~),
 librust-mime-guess-2+default-dev,
 librust-nom-7+default-dev (>= 7.1.3-~~)
Standards-Version: 4.7.2
Homepage: https://gitlab.gnome.org/YaLTeR/video-trimmer
Vcs-Browser: https://salsa.debian.org/gnome-team/video-trimmer
Vcs-Git: https://salsa.debian.org/gnome-team/video-trimmer.git
Rules-Requires-Root: no

Package: gnome-video-trimmer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg,
Description: Simple GUI application for lossless cutting of video files
 Video Trimmer is an easy-to-use graphical application for cutting video
 files. It does so without re-encoding the video, avoiding any loss of
 quality in the process.
 .
 Video Trimmer is a GNOME Circle app.

## gnome-video-trimmer 25.03

=== debian/changelog ===
gnome-video-trimmer (25.03-6) unstable; urgency=medium

  * d/patches: fix application startup.
    Returning a `ControlFlow::Break` in `handle_local_options()` terminates
    the application before it actually starts, so we need to return a
    `ControlFlow::Continue` there. (Closes: #1114551)

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 02 Oct 2025 15:09:08 +0200

gnome-video-trimmer (25.03-5) unstable; urgency=medium

  * Team upload
  * Remove obsolete Rules-Requires-Root: no field
  * debian/watch: convert to Version: 5
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 12 Sep 2025 11:55:27 -0400

gnome-video-trimmer (25.03-4) experimental; urgency=medium

  * Team upload
  * d/patches: Add patch to build with gtk-rs 0.10
  * d/control: Update for gtk-rs 0.10
  * d/control, d/rules: Enable (Static-)Built-Using

 -- Matthias Geiger <werdahias@debian.org>  Fri, 05 Sep 2025 15:49:19 +0200

gnome-video-trimmer (25.03-3) unstable; urgency=medium

  * Team upload
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 25 Apr 2025 15:59:40 -0400

gnome-video-trimmer (25.03-2) unstable; urgency=medium

  * Team upload
  * Bump minimum libadwaita
  * Add Build-Depends: libxml2-utils for xmllint

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 11:34:38 -0400

gnome-video-trimmer (25.03-1) unstable; urgency=medium

  * Team upload
  * New upstream release for GNOME 48 (Closes: #1101622)
  * Remove relax deps patch: no longer needed
  * Update Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Mar 2025 10:14:35 -0400

=== debian/control ===
Source: gnome-video-trimmer
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Arnaud Ferraris <aferraris@debian.org>,
Build-Depends:
 appstream <!nocheck>,
 blueprint-compiler (>= 0.8.0),
 debhelper-compat (= 13),
 dh-cargo,
 desktop-file-utils,
 libadwaita-1-dev (>= 1.7.0),
 libgtk-4-dev (>= 4.16.0),
 libxml2-utils,
 meson,
 cargo:native,
 rustc:native,
 libstd-rust-dev,
 librust-futures-util-0.3+default-dev,
 librust-gettext-rs-0.7+default-dev,
 librust-gettext-rs-0.7+gettext-system-dev,
 librust-glib-0.21+default-dev,
 librust-glib-0.21+log-dev,
 librust-glib-0.21+log-macros-dev,
 librust-gtk4-0.10+default-dev,
 librust-gtk4-0.10+v4-16-dev,
 librust-json-0.12+default-dev,
 librust-libadwaita-0.8+default-dev,
 librust-libadwaita-0.8+v1-7-dev,
 librust-log-0.4+default-dev,
 librust-mime-guess-2+default-dev
Standards-Version: 4.7.2
Homepage: https://apps.gnome.org/VideoTrimmer/
Vcs-Browser: https://salsa.debian.org/gnome-team/video-trimmer
Vcs-Git: https://salsa.debian.org/gnome-team/video-trimmer.git

Package: gnome-video-trimmer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ffmpeg,
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: Simple GUI application for lossless cutting of video files
 Video Trimmer is an easy-to-use graphical application for cutting video
 files. It does so without re-encoding the video, avoiding any loss of
 quality in the process.
 .
 Video Trimmer is a GNOME Circle app.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,8 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+export PATH := /usr/share/cargo/bin:$(PATH)
 
 include /usr/share/dpkg/default.mk
 include /usr/share/rustc/architecture.mk
@@ -9,6 +11,10 @@
 export CARGO_REGISTRY=$(shell pwd)/debian/cargo_registry
 export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
 export DEB_HOST_RUST_TYPE
+
+ifeq ($(DEB_HOST_ARCH_BITS),32)
+    export DEB_BUILD_OPTIONS += optimize=-lto
+endif
 
 %:
 	dh $@
@@ -22,3 +28,11 @@
 	$(CARGO) prepare-debian $(CARGO_REGISTRY) --link-from-system
 	rm -f Cargo.lock
 	rm -f .cargo/config
+
+# Generate (Static-)Built-Using
+# Symlink the meson target dir to target/$(DEB_HOST_RUST_TYPE)/release
+# since dh-cargo-built-using expects it there
+execute_after_dh_auto_install:
+	mkdir -p $(CURDIR)/target/$(DEB_HOST_RUST_TYPE)/
+	ln -s $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/src target/$(DEB_HOST_RUST_TYPE)/
+	/usr/share/cargo/bin/dh-cargo-built-using gnome-video-trimmer

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/gnome-video-trimmer --help
Restrictions: superficial
Depends:
 gnome-video-trimmer,
 xauth,
 xvfb

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/YaLTeR/video-trimmer
